API Reference

Cashier (POS)

Point-of-sale and cashier sessions.

10 endpoints· Auth: API Key
get/api/v1/store/integrations/cashier/pinned API Key

Get pinned

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/cashier/pinned" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
post/api/v1/store/integrations/cashier/pinned API Key

Create pinned

Request body

application/json
{
  "storeProductId": "00000000-0000-0000-0000-000000000000",
  "sortOrder": 0
}
storeProductId
string (uuid)
sortOrder
integer (int32)

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/cashier/pinned" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -d '{
  "storeProductId": "00000000-0000-0000-0000-000000000000",
  "sortOrder": 0
}'
Try itagainst staging · https://stagging-api.sendyiq.com

Request body (JSON)

Set credentials in the “Authorize” menu
delete/api/v1/store/integrations/cashier/pinned/{pinnedItemId} API Key

Delete pinnedItemId

Path parameters

pinnedItemIdrequired
string (uuid)

Responses

200Success
cURL
curl -X DELETE "https://stagging-api.sendyiq.com/api/v1/store/integrations/cashier/pinned/{pinnedItemId}" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Set credentials in the “Authorize” menu
put/api/v1/store/integrations/cashier/pinned/reorder API Key

Update reorder

Request body

application/json
{
  "orderedProductIds": [
    "00000000-0000-0000-0000-000000000000"
  ]
}
orderedProductIds
string (uuid)[]

Responses

200Success
cURL
curl -X PUT "https://stagging-api.sendyiq.com/api/v1/store/integrations/cashier/pinned/reorder" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -d '{
  "orderedProductIds": [
    "00000000-0000-0000-0000-000000000000"
  ]
}'
Try itagainst staging · https://stagging-api.sendyiq.com

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/store/integrations/cashier/sessions API Key

Get sessions

Query parameters

page
integer (int32)
per_page
integer (int32)

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/cashier/sessions" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/store/integrations/cashier/sessions API Key

Create sessions

Request body

application/json
{
  "openingCash": 0,
  "notes": "string"
}
openingCash
number (double)
notes
string

Responses

200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/cashier/sessions" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -d '{
  "openingCash": 0,
  "notes": "string"
}'
Try itagainst staging · https://stagging-api.sendyiq.com

Request body (JSON)

Set credentials in the “Authorize” menu
put/api/v1/store/integrations/cashier/sessions/{sessionId}/close API Key

Update close

Path parameters

sessionIdrequired
string (uuid)

Request body

application/json
{
  "closingCash": 0,
  "notes": "string"
}
closingCash
number (double)
notes
string

Responses

200Success
cURL
curl -X PUT "https://stagging-api.sendyiq.com/api/v1/store/integrations/cashier/sessions/{sessionId}/close" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -d '{
  "closingCash": 0,
  "notes": "string"
}'
Try itagainst staging · https://stagging-api.sendyiq.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/store/integrations/cashier/sessions/active API Key

Get active

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/cashier/sessions/active" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
get/api/v1/store/integrations/cashier/settings API Key

Get settings

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/cashier/settings" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
put/api/v1/store/integrations/cashier/settings API Key

Update settings

Request body

application/json
{
  "requireCashCount": false,
  "cashRounding": "string",
  "openingCashDefault": 0,
  "receiptFooterNote": "string",
  "quickCashAmounts": [
    0
  ]
}
requireCashCount
boolean
cashRounding
string
openingCashDefault
number (double)
receiptFooterNote
string
quickCashAmounts
number (double)[]

Responses

200Success
cURL
curl -X PUT "https://stagging-api.sendyiq.com/api/v1/store/integrations/cashier/settings" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -d '{
  "requireCashCount": false,
  "cashRounding": "string",
  "openingCashDefault": 0,
  "receiptFooterNote": "string",
  "quickCashAmounts": [
    0
  ]
}'
Try itagainst staging · https://stagging-api.sendyiq.com

Request body (JSON)

Set credentials in the “Authorize” menu